com.jscape.inet.mft.management.descriptors

## Class SelfRegistrationConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.SelfRegistrationConfiguration

-     public class SelfRegistrationConfiguration
      extends java.lang.Object

  Domain specific self-registration process configuration.
  Author:
    Roman Sheshunov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelfRegistrationConfiguration()` Creates new instance.
    `SelfRegistrationConfiguration(boolean enabled, java.lang.String accountTemplate)` Creates new instance.
    `SelfRegistrationConfiguration(SelfRegistrationConfiguration that)` Creates new instance from existing instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelfRegistrationConfiguration` | `defaultConfiguration()`
    `java.lang.String` | `getAccountTemplate()` Returns user template name.
    `boolean` | `isEnabled()` Returns if self-registration process is enabled.
    `void` | `setAccountTemplate(java.lang.String value)` Sets user template name.
    `void` | `setEnabled(boolean value)` Sets whether self-registration process is enabled.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelfRegistrationConfiguration

          public SelfRegistrationConfiguration()

      Creates new instance.

    - #### SelfRegistrationConfiguration

          public SelfRegistrationConfiguration(boolean enabled,
                                               java.lang.String accountTemplate)

      Creates new instance.
      Parameters:
        `enabled` - self-registration process flag
        `accountTemplate` - user template name

    - #### SelfRegistrationConfiguration

          public SelfRegistrationConfiguration(SelfRegistrationConfiguration that)

      Creates new instance from existing instance.
      Parameters:
        `that` - existing instance

  - ### Method Detail

    - #### defaultConfiguration

          public static SelfRegistrationConfiguration defaultConfiguration()

    - #### isEnabled

          public boolean isEnabled()

      Returns if self-registration process is enabled.
      Returns:
        `true` if enabled

    - #### setEnabled

          public void setEnabled(boolean value)

      Sets whether self-registration process is enabled.
      Parameters:
        `value` - `true` if enabled; `false` otherwise

    - #### getAccountTemplate

          public java.lang.String getAccountTemplate()

      Returns user template name.
      Returns:
        user template name

    - #### setAccountTemplate

          public void setAccountTemplate(java.lang.String value)

      Sets user template name.
      Parameters:
        `value` - user template name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.